Subject: Re: bug#66022: 30.0.50; kmacro overwriting global keybindings

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Sep 2023 20:19:42 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Mon, 18 Sep 2023 12:23:31 -0400
> 
> >> Any idea why a call to 'documentation' loads loaddefs?  Did you indeed
> >> "hack the Emacs you were running"?
> > No idea, and I didn't hack it at all.  This was a minute after I started
> > a newly-build Emacs, wondered why a C-c C-k binding didn't work.
> 
> Hmm... sounds like we have a real bug, then!

Or a hidden feature ;-)

I think we should look at the conditions which will cause
'documentation' to load loaddefs.  Which part of it could load
loaddefs?

Maybe set a breakpoint in Fload conditioned by the FILE being
loaddefs.el(c), and look at the backtrace?